/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

if (typeOf(Skyline) == 'null') {
	var Skyline	= {};
}

Skyline.AdvPoll = {
	answers:		0,

	refresh: function() {
		// refresh sortable
		new Sortables(document.id('answers_container'), {
			handle:	'.answer_handler',
			onComplete: function() {
				document.id('answers_container').getElements('tr:odd').removeClass('row1').addClass('row0');
				document.id('answers_container').getElements('tr:even').removeClass('row0').addClass('row1');
			}
		});
	},

	/**
	 * Add answer.
	 */
	addAnswer: function() {
		var id	= Skyline.AdvPoll.answers++;
		// count all rows
		var len	= document.id('answers_container').getElements('tr').length;

		// create new table row
		var tr = new Element('tr', {
			id: 	'answer_row-' + id,
			class:	'row' + (len % 2)
		}).set('html', '<td align="center" valign="top"><div class="answer_handler">&nbsp;</div><input type="hidden" name="answers[id][]" value="" /></td><td align="center" valign="top"><input type="text" class="inputbox" name="answers[title][]" value="" size="40" /></td><td align="center" valign="top"><input type="text" class="inputbox" name="answers[votes][]" value="" size="10" /></td><td class="center" valign="top"><input type="checkbox" class="inputbox" value="1" onclick="Skyline.AdvPoll.publishAnswer(' + id + ', this.checked ? 1 : 0);" checked="checked" /><input type="hidden" name="answers[state][]" id="answer_state-' + id + '" value="1" /></td><td align="center" valign="top"><input type="text" class="inputbox" name="answers[type_answer][]" value="default" size="10" readonly="readonly" /></td><td class="center" valign="top"><a class="answer-delete" onclick="Skyline.AdvPoll.removeAnswer(' + id + ');">Remove Answer</a></td>')
		.inject(document.id('answers_container')).tween('opacity', 0, 1);

		Skyline.AdvPoll.refresh();
	},

	/**
	 * Remove answer.
	 */
	removeAnswer: function(id) {
		if (document.id('answer_row-' + id)) {
			document.id('answer_row-' + id).dispose();
		}
	},

	/**
	 * Set answer state value.
	 */
	publishAnswer: function(id, value) {
		if (document.id('answer_state-' + id)) {
			document.id('answer_state-' + id).value = value;
		}
	},

	displaySchedule: function() {
		var schedule_no = document.id('jform_schedule0');
		var schedule_yes = document.id('jform_schedule1');
		var start_date = document.id('jform_publish_up');
		var end_date = document.id('jform_publish_down');

		if(schedule_no.checked) {
			start_date.getParent().hide();
			end_date.getParent().hide();
		} else {
			start_date.getParent().show();
			end_date.getParent().show();
		}

		schedule_no.addEvent('click', function(){
			start_date.getParent().hide();
			end_date.getParent().hide();
		});

		schedule_yes.addEvent('click', function() {
			start_date.getParent().show();
			end_date.getParent().show();
		});
	},

	displayOtherAnswer: function() {
		var other_no = document.id('jform_params_other_answer0');
		var other_yes = document.id('jform_params_other_answer1');
		var other_answer_label = document.id('jform_params_other_answer_label');
		var display_other_no = document.id('jform_params_display_other_answer');

		if(other_no.checked) {
			other_answer_label.getParent().hide();
			display_other_no.getParent().hide();
		} else {
			other_answer_label.getParent().show();
			display_other_no.getParent().show();
		}

		other_no.addEvent('click', function(){
			other_answer_label.getParent().hide();
			display_other_no.getParent().hide();
		});

		other_yes.addEvent('click', function(){
			other_answer_label.getParent().show();
			display_other_no.getParent().show();
		});
	},

	customStyle: function() {
		var customStyle = document.id('jform_params_custom_style');
		var header_footer_bg = document.id('jform_params_header_footer_bg');
		var header_footer_text = document.id('jform_params_header_footer_text');
		var body_bg = document.id('jform_params_body_bg');
		var body_text = document.id('jform_params_body_text');
		var custom_css = document.id('jform_params_custom_css');

		if(customStyle.value == 0) {
			header_footer_bg.getParent().hide();
			header_footer_text.getParent().hide();
			body_bg.getParent().hide();
			body_text.getParent().hide();
			custom_css.getParent().hide();
		} else {
			header_footer_bg.getParent().show();
			header_footer_text.getParent().show();
			body_bg.getParent().show();
			body_text.getParent().show();
			custom_css.getParent().show();
		}

		customStyle.addEvent('change', function(){
			if(this.getSelected().get('value') == 0) {
				header_footer_bg.getParent().hide();
				header_footer_text.getParent().hide();
				body_bg.getParent().hide();
				body_text.getParent().hide();
				custom_css.getParent().hide();
			} else {
				header_footer_bg.getParent().show();
				header_footer_text.getParent().show();
				body_bg.getParent().show();
				body_text.getParent().show();
				custom_css.getParent().show();
			}
		});
	}

}