<?php
/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die();

if (count($this->images)) {
	JHtml::_('behavior.framework', true);
	$this->document->addScript(JURI::root(true) . '/administrator/components/com_sl_advpoll/assets/js/sl_slider.min.js');
	$js	= <<<SLIDERJS
window.addEvent('domready', function() {
	new SL_Slider({
		container: document.id('sl_about-slider'),
		orientation: 'horizontal',
		fade: true,
		slideTimer: 4000,
		numNavActive: true
	}).start();
});
SLIDERJS;
	$this->document->addScriptDeclaration($js);
}
?>

<div id="sl_about">
	<div class="sl_about-header">
		<h2><?php echo JText::_('COM_SL_ADVPOLL_ABOUT_LABEL'); ?></h2>
		<h3><?php echo JText::_('COM_SL_ADVPOLL'); ?></h3>
	</div>
	<div class="sl_about-content">
		<div class="width-50 fltlft">
			<dl>
				<dt>
					<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_VERSION'); ?>
				</dt>
				<dd>
					<?php echo $this->version; ?>
				</dd>
				<dt>
					<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_AUTHOR'); ?>
				</dt>
				<dd>
					Skyline Software - <a href="http://extstore.com" target="_blank">http://extstore.com</a>
				</dd>
				<dt>
					<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_COPYRIGHT'); ?>
				</dt>
				<dd>
					&copy; 2010 - 2012 Skyline Software
				</dd>

				<?php if (defined('COM_SL_ADVPOLL_JED')) : ?>
				<dt class="sl_about-featured">
					<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_JED'); ?>
				</dt>
				<dd>
					<a href="<?php echo COM_SL_ADVPOLL_JED; ?>" target="_blank">
						<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_JED_DESC'); ?>
					</a>
				</dd>
				<?php endif; ?>

				<?php if (defined('COM_SL_ADVPOLL_DOCUMENT')) : ?>
				<dt>
					<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_DOCUMENT'); ?>
				</dt>
				<dd>
					<a href="<?php echo COM_SL_ADVPOLL_DOCUMENT; ?>" target="_blank">
						<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_DOCUMENT_DESC'); ?>
					</a>
				</dd>
				<?php endif; ?>

				<?php if (defined('COM_SL_ADVPOLL_CONTACT') || defined('COM_SL_ADVPOLL_TICKET')) : ?>
				<dt>
					<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_SUPPORT'); ?>
				</dt>
				<dd>
					<?php if (defined('COM_SL_ADVPOLL_CONTACT')) : ?>
					<a href="<?php echo COM_SL_ADVPOLL_CONTACT; ?>" target="_blank">
						<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_CONTACT'); ?>
					</a>
					<?php endif; ?>
					<?php if (defined('COM_SL_ADVPOLL_CONTACT') && defined('COM_SL_ADVPOLL_TICKET')) : ?>
					<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_OR'); ?>
					<?php endif; ?>
					<?php if (defined('COM_SL_ADVPOLL_TICKET')) : ?>
					<a href="<?php echo COM_SL_ADVPOLL_TICKET; ?>" target="_blank">
						<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_TICKET'); ?>
					</a>
					<?php endif; ?>
				</dd>
				<?php endif; ?>

			</dl>

			<?php if (defined('COM_SL_ADVPOLL_TWITTER') || defined('COM_SL_ADVPOLL_FACEBOOK')) : ?>
			<br />
			<h3>
				<?php echo JText::_('COM_SL_ADVPOLL_ABOUT_GET_IN_TOUCH'); ?>
			</h3>
			<ul class="sl_social-list">

				<?php if (defined('COM_SL_ADVPOLL_TWITTER')) : ?>
				<li class="sl_social-list-twitter">
					<span><?php echo JText::_('COM_SL_ADVPOLL_ABOUT_TWITTER'); ?></span>
					<a href="<?php echo COM_SL_ADVPOLL_TWITTER; ?>">
						<?php echo COM_SL_ADVPOLL_TWITTER; ?>
					</a>
				</li>
				<?php endif; ?>

				<?php if (defined('COM_SL_ADVPOLL_FACEBOOK')) : ?>
				<li class="sl_social-list-facebook">
					<span><?php echo JText::_('COM_SL_ADVPOLL_ABOUT_FACEBOOK'); ?></span>
					<a href="<?php echo COM_SL_ADVPOLL_FACEBOOK; ?>">
						<?php echo COM_SL_ADVPOLL_FACEBOOK; ?>
					</a>
				</li>
				<?php endif; ?>
			</ul>
			<?php endif; ?>

		</div>
		<div class="width-50 fltrt">
			<?php if (count($this->images)) : ?>
			<div id="sl_about-slider">
				<?php foreach ($this->images as $image) : ?>
				<img src="<?php echo JURI::root(true); ?>/administrator/components/com_sl_advpoll/assets/images/about/<?php echo JFile::getName($image); ?>" width="400" height="250" alt="" />
				<?php endforeach; ?>
			</div>
			<?php endif; ?>
		</div>
		<div class="clr"></div>
	</div>
</div>

<?php
echo SL_AdvPollFactory::getFooter();