<?php
/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die();

jimport('joomla.application.component.view');

/**
 * Dashboard view.
 *
 * @package		Joomla.Administrator
 * @subpakage	Skyline.AdvPoll
 */
class SL_AdvPollViewAbout extends JView {
	protected $images;
	protected $version;

	/**
	 * Display the view.
	 */
	public function display($tpl = null) {
		$this->addToolbar();

		// get image for slider
		$this->images	= $this->get('images');
		$this->version	= SL_AdvPollFactory::getVersion();

		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 */
	protected function addToolbar() {
		JToolBarHelper::title(JText::_('COM_SL_ADVPOLL_ABOUT'), 'about.png');

		require_once(JPATH_COMPONENT . '/helpers/sl_advpoll.php');
		$canDo	= SL_AdvPollHelper::getActions();

		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_sl_advpoll');
			JToolBarHelper::divider();
		}
	}
}