<?php
/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die();

jimport('joomla.application.component.view');

/**
 * View class for a list of Polls.
 * @package		Joomla.Administrator
 * @subpackage	Skyline.AdvPoll
 */
class SL_AdvPollViewPolls extends JView {
	protected $items;
	protected $pagination;
	protected $state;

	/**
	 * Display the view.
	 */
	public function display($tpl = null) {
		$this->state		= $this->get('State');
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		$this->addToolbar();
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 */
	protected function addToolbar() {
		require_once(JPATH_COMPONENT . '/helpers/sl_advpoll.php');

		$state	= $this->get('State');
		$canDo	= SL_AdvPollHelper::getActions($state->get('filter.category_id'));
		$user	= JFactory::getUser();

		JToolBarHelper::title(JText::_('COM_SL_ADVPOLL_POLLS_MANAGER'), 'polls.png');
		if (count($user->getAuthorisedCategories('com_sl_advpoll', 'core.create'))) {
			JToolBarHelper::addNew('poll.add');
		}

		if ($canDo->get('core.edit')) {
			JToolBarHelper::editList('poll.edit');
		}

		if ($canDo->get('core.edit.state')) {
			JToolBarHelper::divider();
			JToolBarHelper::publish('polls.publish', 'JTOOLBAR_PUBLISH', true);
			JToolBarHelper::unpublish('polls.unpublish', 'JTOOLBAR_UNPUBLISH', true);

			JToolBarHelper::divider();
			JToolBarHelper::archiveList('polls.archive');
			JToolBarHelper::checkin('polls.checkin');
		}

		if ($state->get('filter.state') == -2 && $canDo->get('core.delete')) {
			JToolBarHelper::deleteList('', 'polls.delete', 'JTOOLBAR_EMPTY_TRASH');
			JToolBarHelper::divider();
		} else if ($canDo->get('core.edit.state')) {
			JToolBarHelper::trash('polls.trash');
			JToolBarHelper::divider();
		}

		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_sl_advpoll');
			JToolBarHelper::divider();
		}
	}
}