<?php
/**
 * @copyright	Copyright (c) 2013 Skyline (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die();

jimport('joomla.html.html');
jimport('joomla.form.formfield');

/**
 * Plugin Select category for sl_advpoll.
 *
 * @package		Joomla.Module
 * @subpakage	Skyline.Advpoll
 */
class JFormFieldCatepoll extends JFormField {
	/** @var string Field type */
	protected $type	= 'catepoll';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 */
	protected function getInput() {

		$js	= <<<JS
window.addEvent('domready', function() {
	var random_no = document.id('jform_params_show_random0');
	var random_yes = document.id('jform_params_show_random1');
	var poll_id = document.id('jform_params_poll_id-lbl');
	var cate_poll = document.id('jformparamscate_poll');

	if(random_no.checked) {
		poll_id.getParent().hide();
		cate_poll.getParent().show();
	} else {
		poll_id.getParent().show();
		cate_poll.getParent().hide();
	}

	random_no.addEvent('click', function(){
		poll_id.getParent().hide();
		cate_poll.getParent().show();
	});

	random_yes.addEvent('click', function(){
		poll_id.getParent().show();
		cate_poll.getParent().hide();
	});

});
JS;
		JFactory::getDocument()->addScriptDeclaration($js);

		$db = JFactory::getDbo();
		$query = "SELECT DISTINCT p.catid, c.title FROM #__sl_advpoll_polls AS p
				INNER JOIN #__categories AS c ON p.catid = c.id ";
		$db->setQuery($query);
		$rows = $db->loadObjectList();

		return JHTML::_('select.genericlist', $rows, $this->name, '', 'catid', 'title', $this->value );
	}

}

