/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

if (typeOf(Skyline) == 'null') {
	var Skyline	= {};
}

Skyline.AdvPoll = {
	live_site:	null,
    back_to_vote: null,

	init: function() {
		window.addEvent('domready', function() {
			$$('.sl_advpoll').each(function(el) {
				// Max choices
				var form		= el.getElement('form.sl_advpoll_form');
				var maxChoices	= form.maxChoices.value.toInt();
				if (maxChoices >= 1) {
					Skyline.AdvPoll.initChoice(form, maxChoices);
				}

				// Ajax
				Skyline.AdvPoll.initAjax(el);

                el.addEvent('click:relay(.backToVote)', function(){
                    var ajax_result = el.getElement('.sl_advpoll_ajax_result');
                    var ajax_result_slide = new Fx.Slide(ajax_result);
                    ajax_result_slide.slideOut();
                    var form_slide = new Fx.Slide(form);
                    form_slide.slideIn();
                });

			});
		});
	},

	initChoice: function(el, max) {
		var checkBoxs	= el.getElements('input[type="checkbox"]');
		var otherCheck	= el.getElement('.other-answer-checkbox');
		var otherInput	= el.getElement('.other-answer-input');

		checkBoxs.addEvent('click', function(event) {
			if (this.get('checked')) {
				if(otherInput != null) {
					otherInput.value = '';
					otherInput.hide();
				}
				if (max == 1) {
					checkBoxs.set('checked', false);
					this.set('checked', true);
				} else {
					if (el.getElements('input[type="checkbox"]:checked').length > max) {
						this.set('checked', false);
					}
				}
			}
		});

		if(otherCheck != null) {
			otherCheck.addEvent('click', function(event) {
				if(this.get('checked')) {
					otherInput.show();
					otherInput.setStyle('max-width', '92%');
				} else {
					otherInput.value = '';
					otherInput.hide();
				}
			});
		}
	},

	initAjax: function(el) {
        var displayType 	= el.getElement('form.sl_advpoll_form').displayType.value.toInt();
        var graphType 		= el.getElement('form.sl_advpoll_form').graphType.value.toInt();

		// View results button
		if (el.getElement('.sl_advpoll_showresult')) {
			el.getElement('.sl_advpoll_showresult').addEvent('click', function(event) {
				var container	= el.getElement('.sl_advpoll_result_container');
				var id			= el.getElement('form.sl_advpoll_form').id.value.toInt();
                var form_vote		= el.getElement('.sl_advpoll_form');
                var ajax_result 	= el.getElement('.sl_advpoll_ajax_result');

				/*
				 if (container.get('html') == '') {
				 new Request({
				 url:		Skyline.AdvPoll.live_site,
				 method:		'post',
				 data:		'option=com_sl_advpoll&view=poll&layout=result&format=raw&id=' + id,

				 onSuccess:	function(content) {
				 container.set('html', content);
				 Skyline.AdvPoll.setModalContent(container);
				 }
				 }).send();
				 } else {
				 Skyline.AdvPoll.setModalContent(container);
				 }
				 */

				new XRequest({
					url:		Skyline.AdvPoll.live_site,
					method:		'post',
					data:		'option=com_sl_advpoll&view=poll&layout=result&format=raw&id=' + id,

					onSuccess:	function(content) {
                        if(displayType == 0) {
                            ajax_result.set('html', content);
                            Skyline.AdvPoll.setNormalContent(ajax_result, form_vote, graphType);
                        } else {
                            container.set('html', content);
                            Skyline.AdvPoll.setModalContent(container);
                        }
					}
				}).send()
			});
		}

		// Vote button
		el.getElement('.sl_advpoll_vote').addEvent('click', function(event) {
			event.stop();
			var container	= el.getElement('.sl_advpoll_result_container');
            var form_vote		= el.getElement('.sl_advpoll_form');
            var ajax_result 	= el.getElement('.sl_advpoll_ajax_result');

			var otherCheck	= el.getElement('.other-answer-checkbox');
			var otherInput	= el.getElement('.other-answer-input');

			if(otherCheck != null && otherInput != null) {
				if(otherCheck.checked) {
					if(otherInput.value == '') {
						alert('Please enter your answer!');
						otherInput.focus();
						return;
					}
				}
			}

			if (el.getElements('input[type="checkbox"]:checked').length == 0) {
				var container	= el.getElement('.sl_advpoll_msg_container');
				SqueezeBox.open(null, {handler: 'html', content: container.get('html'), size: {
						x:	container.getElement('.sl_advpoll_msg').getWidth(),
						y:	container.getElement('.sl_advpoll_msg').scrollHeight
					}
				});
			} else {
				new XRequest({
					url:		Skyline.AdvPoll.live_site,
					method:		'post',
					data:		this.form.toQueryString() + '&view=poll&layout=result&format=raw',

					onSuccess:	function(content) {
                        if(displayType == 0) {
                            ajax_result.set('html', content);
                            Skyline.AdvPoll.setNormalContent(ajax_result, form_vote, graphType);
                        } else {
                            container.set('html', content);
                            Skyline.AdvPoll.setModalContent(container);
                        }
					}
				}).send();
			}
		});
	},

	setModalContent: function(container) {
		SqueezeBox.addEvents({
			update: function() {
				this.content.getElements('.sl_advpoll_line').setStyle('width', 0);
				this.content.getElements('.sl_advpoll_percent').setStyle('width', 0);

				this.content.getElements('.advpolls-gchart').set('id', 'advpolls-gchart');

				this.content.get('html').stripScripts(true);
			},

			open: function() {
				this.content.getElements('.sl_advpoll_answer_graph').each(function(el) {
					el.getElement('.sl_advpoll_line').get('tween').setOptions({unit: '%', duration: 700});
					el.getElement('.sl_advpoll_line').tween('width', '0%', el.get('data-percent'));
					el.getElement('.sl_advpoll_percent').get('tween').setOptions({unit: '%', duration: 700});
					el.getElement('.sl_advpoll_percent').tween('width', '0%', el.get('data-percent'));
				});
			}
		});

		SqueezeBox.open(null, {handler: 'html', content: container.get('html'), size: {
				x:	container.getElement('.sl_advpoll_result').getWidth(),
				y:	container.getElement('.sl_advpoll_result').scrollHeight
			}
		});
	},

    setNormalContent: function(ajax_result, form_vote, graphType) {
        var form_vote_slide = new Fx.Slide(form_vote);
        form_vote_slide.slideOut();

        var advpoll_total = ajax_result.getElement('.sl_advppoll_total');
        var back_to_vote = new Element('a.backToVote', {
            href : 'javascript:void(0)',
            styles: {float: 'left'},
            html: Skyline.AdvPoll.back_to_vote
        });
        advpoll_total.adopt(back_to_vote);

        if(graphType == 2 || graphType == 3) {
            ajax_result.get('html').stripScripts(true);
        } else {
            ajax_result.getElements('.sl_advpoll_answer_graph').each(function(el) {
                el.getElement('.sl_advpoll_line').get('tween').setOptions({unit: '%', duration: 700});
                el.getElement('.sl_advpoll_line').tween('width', '0%', el.get('data-percent'));
                el.getElement('.sl_advpoll_percent').get('tween').setOptions({unit: '%', duration: 700});
                el.getElement('.sl_advpoll_percent').tween('width', '0%', el.get('data-percent'));
            });
        }

        var ajax_result_slide = new Fx.Slide(ajax_result);
        ajax_result_slide.slideIn();
    }
}

Skyline.AdvPoll.init();

// Extend SqueezeBox
SqueezeBox.parsers.extend({
	html: function(preset) {
		return (preset || this.options.content) ? this.options.content : false;
	}
});

SqueezeBox.handlers.extend({
	html: function(html) {
 		return html;
 	}
});

XRequest = new Class({

	Extends: Request,

	success: function(text, xml){
		this.onSuccess(text, xml);
	}
});